Subject: Re: Order #473850 problems
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Tue, 8 Apr 2008 12:54:32 -0400

I think it would be fine to leave it in that format.  I do want the "$" to line up to the left and the "cents" to line up to the right.  It's not perfect but kind of like the following:  
     [ $  180.00  ]
     [ $    19.75  ]
     [ $   199.75 ]  -(except all lined up)
It also needs to have some space on each side from the edge on either side.  Currently they are touching the lines.  It's kind of hard to read.  Maybe what we need to have the Qty centered.  That might work.  I think what I would like to happen with any of the "$" amounts is to have everything aligned on the decimal point.  Is that possible. If not we will have to make another decision on this.   In the mean time can you make the change that moves everything off of the edges of each text box?  We need that right away please.
Thank you,
Mike - LLPS

  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Monday, April 07, 2008 11:09 PM
  Subject: Re: Order #473850 problems

  How many bonus products can the sales person add to an order?  One or two?

  Maybe with the new invoice layout we can continue to have a limit of 8 standard products on an order, but allow one or two bonus products as well.  After they get their bonus products the option disappears.

  What do you think?

  Michael Grove wrote: 
    Mike wrote: 
      I think it looks ok.  All though I think that all numbers should be right justified. 

    I will adjust the alignments of all the numbers. 
      Also the "$" should line up but with everything else lining up to the right as well.  
    So you want the dollar amounts to be aligned to the right as well?

      So will all of the invoices be using this size font now?  
    Yes, if we decide to switch to this version of the invoice logic all products will show up in the smaller font.

      What I was looking for was more of a function that just limited them with the "free" posters as well as the other products.  In other words 8 or 10 products is the max but including "regular products" and "free products".  Is this possible?
    This can be done, but I had to sort out what was causing the server to freeze.  If we switch to this new invoice layout we can avoid this problem in the future.

    I can also revisit the logic that limits the size of an order, just to ensure we do not run into a similar problem in the future with an order that has 15 products or something.  Now that we can print out ten products on an invoice, do you want me to adjust the limit to ten?  I thought it was currently at 8.

        ----- Original Message ----- 
        From: Michael Grove 
        To: Mike 
        Sent: Sunday, April 06, 2008 12:56 PM
        Subject: Re: Order #473850 problems

        Hi Mike,

        This one took a while.  After many hours of tinkering I was able to sort out that the 10 products were taking up more space on the invoice than they were designed to fit in.  For some reason this was causing the ColdFusion service to lock up.  It was tough debugging this one since I had to stop and start the server after every test.

        I was able to come up with a solution.  I made a copy of the invoice logic and adjusted it to be compatible with more than 8 products.  It you are ok with the way this looks I will move this over so all invoices utilize it.

        Mike Grove

        Mike wrote: 
          Mike,
          Ok...I may have found out what caused the problems on Feb. 6th; this order.  The same exact behavior occurred today when trying to open this invoice and print the label.  I think it has something to do with having too many products.  They added 2 more products (free posters) then what is normally allowed.  This has happened before when the rep added the free poster and it took the total higher than the 8 product allowance.  Is the free poster part of the calculation?  It may not be since when it was added the product calculation was already in place.  Just a thought.  Anyways, the product calculation seems to not be functioning properly.  Also, I am unable to open the invoice for order #473850.  Let me know when things are fixed so I can get an invoice for this customer.
          Thank you,
          Michael Bishop
          Labor Law Poster Service
          Phone 877-321-4144
          Fax 888-442-4144
          [email-masked]